#!/bin/sh
mkdir -p /opt/tools
echo "mount cd that (hopefully) contains opttools.sfs :)"
echo User Puppy drive mounter for that. Press any key when done.
read x
# loop mount opttools.sfs at /opt/tools
mount /mnt/cdrom/opttools.sfs /opt/tools -t squashfs -o loop
# (#mount: WARNING: loop device is read-only) is ok
ln -s /opt/tools/bin/perl /usr/bin/perl
# (#ln: /usr/bin/perl: Read-only file system) is ok
cat <<EOF >hello.c
//create a ascii file named hello.c that contains:
main()
{
  printf("Hello World\n");
}
EOF
# update the path 
export PATH=/opt/tools/bin:/opt/tools/sbin:$PATH
# compile it: 
gcc -o hello hello.c
# run it: 
./hello
# (#Hello World) should print this..
echo "You shoud see a Hello World messages above this line, if all ok.."
